package com.docus.server.report.entity;

import lombok.Data;

import java.util.Date;

/**
 * 延迟消息类
 * @author wyb
 */
@Data
public class DelayedMessages {
    /**
     * 消息ID
     */
    private Long id;

    /**
     * 消息类型
     */
    private String messageType;

    /**
     * 消息检索关键词
     */
    private String keyword;

    /**
     * 消息内容
     */
    private String message;

    /**
     * 下次执行时间
     */
    private Date nextExecutionTime;

    /**
     * 延迟时间（秒）
     */
    private Integer delaySeconds;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 已重试次数
     */
    private Integer retries;

    /**
     * 错误信息
     */
    private String errorMessage;

}